VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::vm::hardware::adapter::ScsiTypes::Type Class Reference

The `Scsi.Type` enumerated type defines the valid emulation types for a virtual SCSI adapter. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, BUSLOGIC, LSILOGIC, LSILOGICSAS, PVSCSI }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static Type[] | GetValues ()
static Type | ValueOf (string name)
## Static Public Attributes
static readonly Type | BUSLOGIC = new Type("BUSLOGIC", Values.BUSLOGIC)
| BusLogic host bus adapter.
static readonly Type | LSILOGIC = new Type("LSILOGIC", Values.LSILOGIC)
| LSI Logic host bus adapter.
static readonly Type | LSILOGICSAS = new Type("LSILOGICSAS", Values.LSILOGICSAS)
| LSI Logic SAS 1068 host bus adapter.
static readonly Type | PVSCSI = new Type("PVSCSI", Values.PVSCSI)
| Paravirtualized host bus adapter.

## Detailed Description

The `Scsi.Type` enumerated type defines the valid emulation types for a virtual SCSI adapter.

## Member Enumeration Documentation

enum vmware::vcenter::vm::hardware::adapter::ScsiTypes::Type::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  BUSLOGIC | BusLogic host bus adapter.
  LSILOGIC | LSI Logic host bus adapter.
  LSILOGICSAS | LSI Logic SAS 1068 host bus adapter.
  PVSCSI | Paravirtualized host bus adapter.

## Member Function Documentation

Values vmware::vcenter::vm::hardware::adapter::ScsiTypes::Type::GetEnumValue | ( |  | ) | `[inline]`

static Type [] vmware::vcenter::vm::hardware::adapter::ScsiTypes::Type::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::vm::hardware::adapter::ScsiTypes::Type::IsUnknown | ( |  | ) | `[inline]`

static Type vmware::vcenter::vm::hardware::adapter::ScsiTypes::Type::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly Type vmware::vcenter::vm::hardware::adapter::ScsiTypes::Type::BUSLOGIC = new Type("BUSLOGIC", Values.BUSLOGIC)`[static]`

BusLogic host bus adapter.

readonly Type vmware::vcenter::vm::hardware::adapter::ScsiTypes::Type::LSILOGIC = new Type("LSILOGIC", Values.LSILOGIC)`[static]`

LSI Logic host bus adapter.

readonly Type vmware::vcenter::vm::hardware::adapter::ScsiTypes::Type::LSILOGICSAS = new Type("LSILOGICSAS", Values.LSILOGICSAS)`[static]`

LSI Logic SAS 1068 host bus adapter.

readonly Type vmware::vcenter::vm::hardware::adapter::ScsiTypes::Type::PVSCSI = new Type("PVSCSI", Values.PVSCSI)`[static]`

Paravirtualized host bus adapter.

The documentation for this class was generated from the following file:

- ScsiTypes.cs